| XMP Toolkit SDK 6.0.0

Public Attributes | List of all members
XMP_VersionInfo Struct Reference

XMP Toolkit version information. More...

`#include <XMP_Const.h>`

## Public Attributes
XMP_Uns8 | major
| The primary release number, the "1" in version "1.2.3". More...
XMP_Uns8 | minor
| The secondary release number, the "2" in version "1.2.3". More...
XMP_Uns8 | micro
| The tertiary release number, the "3" in version "1.2.3". More...
XMP_Bool | isDebug
| A 0/1 boolean value, true if this is a debug build. More...
XMP_Uns32 | build
| A rolling build number, monotonically increasing in a release. More...
XMP_Uns32 | flags
| Individual feature implementation flags. More...
XMP_StringPtr | message
| A comprehensive version information string. More...

## Detailed Description

XMP Toolkit version information.

Definition at line 1565 of file XMP_Const.h.

## Member Data Documentation

## ◆ build

XMP_Uns32 XMP_VersionInfo::build

A rolling build number, monotonically increasing in a release.

Definition at line 1575 of file XMP_Const.h.

## ◆ flags

XMP_Uns32 XMP_VersionInfo::flags

Individual feature implementation flags.

Definition at line 1577 of file XMP_Const.h.

## ◆ isDebug

XMP_Bool XMP_VersionInfo::isDebug

A 0/1 boolean value, true if this is a debug build.

Definition at line 1573 of file XMP_Const.h.

## ◆ major

XMP_Uns8 XMP_VersionInfo::major

The primary release number, the "1" in version "1.2.3".

Definition at line 1567 of file XMP_Const.h.

## ◆ message

XMP_StringPtr XMP_VersionInfo::message

A comprehensive version information string.

Definition at line 1579 of file XMP_Const.h.

## ◆ micro

XMP_Uns8 XMP_VersionInfo::micro

The tertiary release number, the "3" in version "1.2.3".

Definition at line 1571 of file XMP_Const.h.

## ◆ minor

XMP_Uns8 XMP_VersionInfo::minor

The secondary release number, the "2" in version "1.2.3".

Definition at line 1569 of file XMP_Const.h.

The documentation for this struct was generated from the following file:

- public/include/XMP_Const.h